CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

Problem installing OpenFOAM-1.6-ext on Ubuntu 14.04

Register Blogs Members List Search Today's Posts Mark Forums Read

Like Tree1Likes
  • 1 Post By afrotimy

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   September 14, 2014, 13:03
Default Problem installing OpenFOAM-1.6-ext on Ubuntu 14.04
  #1
Member
 
Francis
Join Date: Jan 2014
Location: Toronto
Posts: 50
Rep Power: 12
afrotimy is on a distinguished road
Hi FOAMERS, I have just upgraded my ubuntu 12.04 to 14.04 which made me look alot of cases and files. Despute that, I have been trying to re-install my OpenFOAM-1.6-ext back but not been successful. Errors with the Thirdparty package gcc....

Other versions of OpenFOAM installed correctly and work but I need the Immersed Boundary Method in OF16ext which really require that I get it successfully installed.

I have online for the specific build instruction for OpenFOAM 1.6-ext on Ubuntu 14.04 but couldn't find any. After trying the instructions on other OF version, no executables were created in the bin and thirdpary package surface.

It would be greatly appreated if anyone with useful information on rectifying this problem can share them with me please.

Thanks in advance.
Francis.
afrotimy is offline   Reply With Quote

Old   September 15, 2014, 14:59
Default
  #2
Retired Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,975
Blog Entries: 45
Rep Power: 128
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Greetings Francis,

I haven't had the time to test and write instructions for installing OpenFOAM 1.6-ext on Ubuntu 14.04. Possibly only sometime in the next couple weekends will I be able to look into that.

In the meantime, you might want to try the latest port I managed to do yesterday of the ImmersedBoundary toolkit for foam-extend 3.1: http://www.cfd-online.com/Forums/ope...tml#post510265 post #7 - please let me know if you find something there that isn't working properly.

Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Old   September 15, 2014, 15:33
Default
  #3
Member
 
Francis
Join Date: Jan 2014
Location: Toronto
Posts: 50
Rep Power: 12
afrotimy is on a distinguished road
Ok. Thatz great. With the IBM in OF3.1, I think I won't even need to bother about the OF1 6ext anymore. I will feed you back. Thank you.
wyldckat likes this.
afrotimy is offline   Reply With Quote

Old   September 30, 2014, 07:12
Default
  #4
Member
 
Francis
Join Date: Jan 2014
Location: Toronto
Posts: 50
Rep Power: 12
afrotimy is on a distinguished road
Hi folks, I don't know if anyone have noticed some of these isses with OF3.0 and 3.1.
1. Parallel processing problem.
2. No libforces for Cl computation.
3. Paraview error with case name when longer than some limits.
4. No angularOscillatingDisplacement BC compiled. Except by the user.
afrotimy is offline   Reply With Quote

Old   October 4, 2014, 11:36
Default
  #5
Retired Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,975
Blog Entries: 45
Rep Power: 128
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Hi Francis,

Quote:
Originally Posted by afrotimy View Post
1. Parallel processing problem.
I'll need more details, in order to try and reproduce the same error you're getting.

Quote:
Originally Posted by afrotimy View Post
2. No libforces for Cl computation.
Please run the tutorial "compressible/sonicFoam/ras/nacaAirfoil" and check the contents of the file "log.sonicFoam". What error message does it give you?
Or does it show something like this at the end of each iteration?
Code:
forceCoeffs output:
    Cd = 0.473557
    Cl = 0.513213
    Cm = 0.331946
Quote:
Originally Posted by afrotimy View Post
3. Paraview error with case name when longer than some limits.
I'll need a specific example, so that I can try and reproduce the same error.

Quote:
Originally Posted by afrotimy View Post
4. No angularOscillatingDisplacement BC compiled. Except by the user.
It's working for me with the normal installation. Perhaps something went wrong in your installation?

And does the tutorial "incompressible/icoFoam/cavity" work properly? It's possible that something went wrong during installation.

Best regards,
Bruno
__________________
wyldckat is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
OF 1.6 ext on Ubuntu 12.10 (64 bit) compilation errors dreamilam OpenFOAM Installation 7 April 21, 2013 05:43
Problem? with Installation of OpenFOAM 2.1.0 on to Ubuntu 10.4.4 VirtualBox Stubby OpenFOAM Installation 8 March 5, 2012 15:12
[Commercial meshers] Handling cyclic BC from gambit to openfoam for a cascade airfoil problem - OF 1.6 maverick OpenFOAM Meshing & Mesh Conversion 2 June 18, 2011 04:36
Installing OpenFOAM 1.6 on Ubuntu 10.4 sda OpenFOAM Installation 5 May 27, 2010 20:19
Re : Problem Installing OpenFOAM on Centos -5.3 mohanphy OpenFOAM Installation 1 February 7, 2010 19:09


All times are GMT -4. The time now is 14:23.